gsl (2.7.1+dfsg-5) unstable; urgency=medium

  * debian/control: Actually add the 'Breaks' that was supposed to be in
    the previous upload (with thanks to Paul Gevers)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Jun 2023 15:21:26 -0500

gsl (2.7.1+dfsg-4) unstable; urgency=medium

  * debian/control: Add explicit 'Breaks: libgsl25' (with thanks to
    Andreas Beckmann for the suggestion) 		(Closes: #1036071)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 May 2023 21:25:16 -0500

gsl (2.7.1+dfsg-3) unstable; urgency=medium

  * debian/control: Support DEB_BUILD_PROFILES for libgsl0-prof package
  * debian/rules: Idem
  * debian/README.Debian: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Dec 2021 15:20:43 -0600

gsl (2.7.1+dfsg-2) unstable; urgency=medium

  * Uploading to unstable after coordination with release team

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Dec 2021 15:11:57 -0600

gsl (2.7.1+dfsg-1) experimental; urgency=medium

  * New upstream release, to experimental awaiting a transition

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Dec 2021 19:37:36 -0600

gsl (2.7+dfsg-3) experimental; urgency=medium

  * configure.ac: Correct the GSL_AGE value to 0 to force a new sonumber
    (thanks to Sebastian Ramacher for the help)		(Closes: #993324)

  * debian/*: Renamed files reflecting so25 to so26, update to 2.7
  * debian/libgslcblas0.shlibs: Increase minimum version to 2.7
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Oct 2021 19:21:13 -0500

gsl (2.7+dfsg-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 06:44:34 -0500

gsl (2.7+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Jun 2021 07:21:28 -0500

gsl (2.6+dfsg-2) unstable; urgency=medium

  * Rebuilding for transition and upload to unstable

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2020 07:46:17 -0500

gsl (2.6+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * debian/control: New package libgsl25 (replacing libgsl23)

  * debian/*: Renamed files reflecting so23 to so25, update to 2.6
  * debian/libgslcblas0.shlibs: Increase minimum version to 2.6

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2019 05:55:49 -0500

gsl (2.5+dfsg-6) unstable; urgency=medium

  * filter/rmedian.c: Renamed structure element delete to delete_oldest
  * movstat/apply.c: Idem
  * movstat/gsl_movstat.h: Idem				(Closes: #912341)
  
  * doc/gsl-randist.1: Applied patch suggested by Barak Pearlmutter
  							(Closes: #915539)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Nov 2018 20:45:48 -0600

gsl (2.5+dfsg-5) unstable; urgency=medium

  [ Steve Langasek ]
  * Makefile.am: Resolve underlinkage of libgslcblas (Closes: #907119)
  * debian/rules: Enforce current automake and autolocal for dh_autoreconf

  [ Dirk Eddelbuettel ]
  * debian/*: Applied Steve's patch, with thanks

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Aug 2018 20:30:39 -0500

gsl (2.5+dfsg-4) unstable; urgency=medium

  * debian/libgsl23.shlibs: Use correct suffix		(Closes: #902623)
  * debian/libgslcblas0.shlibs: Idem
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jun 2018 13:38:17 -0500

gsl (2.5+dfsg-3) unstable; urgency=medium

  * Rebuilding for unstable
  
  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jun 2018 05:09:48 -0500

gsl (2.5+dfsg-2) experimental; urgency=medium

  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jun 2018 07:45:08 -0500

gsl (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Jun 2018 18:13:23 -0500

gsl (2.4+dfsg-6) unstable; urgency=medium

  * debian/control: Version is as 'Replaces: libgsl23 (<< 2.4+dfsg-4)'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Aug 2017 10:07:24 -0500

gsl (2.4+dfsg-5) unstable; urgency=medium

  * debian/control: Add Replaces: libgsl23 to libgslcblas (Closes: #871269)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Aug 2017 09:37:37 -0500

gsl (2.4+dfsg-4) unstable; urgency=medium

  * debian/control: New package libgslcblas0 to contain the BLAS interface
    library which never changes ABI 			(Closes: #870772)
  * debian/control: Add Depends: libgslcblas0 to libgsl23 and libgsl-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2017 13:40:20 -0500

gsl (2.4+dfsg-3) unstable; urgency=medium

  * debian/control: New package libgsl23 matching current soname
  * debian/rules: libgsl2.* renamed to libgsl23.*
  * debian/libgsl23.shlib: Updated
  * configure.ac: Reverting previous change

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Jul 2017 06:59:12 -0500

gsl (2.4+dfsg-2) unstable; urgency=medium

  * configure.ac: Once again reset sonumber to 19 (Closes: #869778, #869695)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Jul 2017 06:41:07 -0500

gsl (2.4+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jul 2017 07:18:55 -0500

gsl (2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Dec 2016 14:16:35 -0600

gsl (2.2.1+dfsg-2) unstable; urgency=medium

  * debian/patches/dont-disable-deprecated: Re-apply first half of patch
    by Iain Lane to not disable deprecated functions (Closes: #841611)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Dec 2016 13:04:44 -0600

gsl (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version released 2016-08-31
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Sep 2016 17:28:37 -0500

gsl (2.1+dfsg-2) unstable; urgency=low

  * debian/patches/dont-disable-deprecated: Re-apply first half of patch
    by Iain Lane to not disable deprecated functions (Closes: #804765)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Nov 2015 22:52:14 -0600

gsl (2.1+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed files from the doc/ directory now containing
    only what Debian considers to be 'non-free' documentation (ie man
    pages) to create a source package that complies with Debian's
    interpretation of what is free.
  * doc/Makefile.am: Removed instructions for non-free manual
  * configure.ac: Remove entry for doc/examples/Makefile.in

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Nov 2015 13:58:43 -0600

gsl (2.0+dfsg-2) unstable; urgency=low

  * debian/patches/dont-disable-deprecated: Applied patch by Iain Lane to
    not (yet) disable deprecated functions while we transition gsl 2.0
    into Debian						(Closes: #804765)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Nov 2015 06:42:31 -0600

gsl (2.0+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the doc/ directory containing what Debian
    considers to be 'non-free' documentation to create a source package
    that complies with Debian's interpretation of what is free.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Oct 2015 20:10:36 -0500

gsl (1.16+dfsg-4) unstable; urgency=low

  * debian/copyright: Also mention LGPL-3 for some files in utils/*
  							(Closes: #792843)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jul 2015 06:52:31 -0500

gsl (1.16+dfsg-3) unstable; urgency=low

  [Yuriy M. Kaminskiy]
  * Add multi-arch support. (Closes: #708832)
  * debian/control: Add new package libgsl0-prof with profiling support

  [ Dirk Eddelbuettel ]
  * Integrating nice patch by Yuriy
  * debian/rules: Minor cleanup related to dh_clean
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Jul 2015 17:29:17 -0500

gsl (1.16+dfsg-2) unstable; urgency=low

  * debian/rules: Applies patch by Fernando Seiti Furusato to switch to
    autoreconf use via debhelper in order to build on eg the ppc64el
    architecture.					(Closes: #753360)
  * debian/control: Idem, in Build-Depends s/autotools-dev/dh-autoreconf/

  * debian/rules: Add dpkg-buildflags call for CFLAGS and LDFLAGS
  
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Jul 2014 11:23:16 -0500

gsl (1.16+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the doc/ directory containing what Debian
    considers to be 'non-free' documentation to create a source package
    that complies with Debian's interpretation of what is free.

  * interpolation/interp.c: Error message changed upstream  (Closes: #639250)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jul 2013 11:42:12 -0500

gsl (1.15+dfsg.2-2) unstable; urgency=low

  * debian/rules: Correct switch to build-index and build-arch and ensure
    that their target build-stamp depends on configure-stamp. (Closes: #696014)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Dec 2012 14:39:57 -0600

gsl (1.15+dfsg.2-1) unstable; urgency=low

  * "Second DFSG attempt" at GSL 1.15, now with GFDL in sources too
  * doc/* directory removed from 'dfsg.2' tarball to ensure source tarball
    in Debian archive also dfsg clean (Closes: #695776)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Dec 2012 22:06:23 -0600

gsl (1.15+dfsg-1) unstable; urgency=low

  * New upstream version released today

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 May 2011 18:44:20 -0500

gsl (1.14+dfsg-1) unstable; urgency=low

  * New upstream release

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Mar 2010 19:39:12 -0500

gsl (1.13+dfsg-1) unstable; urgency=low

  * New upstream release

  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Sep 2009 18:07:29 -0500

gsl (1.12+dfsg-1) unstable; urgency=low

  * New upstream version released today
  
  * doc/*: As before, removed the 'non-free' documentation to create a 
    source package that complies with Debian's interpretation of what is free. 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Dec 2008 06:17:55 -0600

gsl (1.11+dfsg-2) unstable; urgency=low

  * debian/*: Applied patch by Matthew Vernon for building an optional package
    libgsl0-prof from source by setting setting DEB_BUILD_OPTIONS=buildprof
    Many thanks for suggesting the patch, and even providing it!
  							(Closes: #503290)
  
  * multimin/*: Applied patch by Ian Jackson to skip unncessary size 
    calculations; patch also intgegrated upstream	(Closes: #500521)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Oct 2008 09:49:19 -0500

gsl (1.11+dfsg-1) unstable; urgency=low

  * New source tarball without so-called 'non-free' documentation released
    under the FSF's standard GFDL. 			(Closes: #495935)

  * The documentation will still be provided by packages in non-free which
    is not technically part of Debian but accessible via the package
    management system.

  * debian/README.Debian: Added, explaining this somewhat unfortunate change
  
  * debian/control: Removed gsl-doc-pdf entry
  * debian/rules: Adjusted accordingly

  * debian/watch: Added version mangling before comparison	[lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Aug 2008 16:19:59 -0500

gsl (1.11-2) unstable; urgency=low

  * debian/control: Add 'Conflicts: libgsl0' for libgsl0ldbl 
							(Closes: #477732)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Apr 2008 06:39:27 -0500

gsl (1.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Apr 2008 08:21:39 -0500

gsl (1.10-4) unstable; urgency=low

  * debian/control: GSL does not need libblas-dev as it packages its
    own libgslclbas; users can the choose at link time which Blas library 
    their gsl-using programs link against. Thanks to Mathias Klose for
    follow-ups on this.					(Closes: #462232)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jan 2008 06:24:09 -0600

gsl (1.10-3) unstable; urgency=low

  * debian/control: Replace Build-Depends: on'refblas3-dev' with 
    'libblas-dev' to use the new gfortran-built BLAS libraries. Thanks 
    to Colin Tuckley for the heads-up.			(Closes: #462232)

  * debian/control: Update Standards-Version: to current value.
  * debian/control: Added Homepage: field to contain URL [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Jan 2008 06:36:59 -0600

gsl (1.10-2) unstable; urgency=low

  * debian/control: Correct Build-Depends-Indep to have tetex and texlive
    as alternatives 					(Closes: #444388)

  * debian/watch: Changed source location to ftp.gnu.org (Closes: #449687)
  
  * debian/copyright: Update reference to GPL-3		(Closes: #450637)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Nov 2007 19:01:22 -0600

gsl (1.10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Sep 2007 16:29:39 -0500

gsl (1.9.90-2) unstable; urgency=low

  * debian/rules: Set optimisation to '-O2' on Alpha to avoid a compiler
    error that occurs with '-O3'. Thanks to Falk Hueffner for debugging.

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Sep 2007 15:21:22 -0500

gsl (1.9.90-1) unstable; urgency=low

  * Upgraded to first public upstream test release for 1.10
  * New upstream version improves multimin documentation (Closes: #438404)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Sep 2007 17:05:13 -0500

gsl (1.9-5) unstable; urgency=low

  * Correct a snafu introduced with the 'ldbl' transition packages from
    Debian revision 1.9-4				(Closes: #432730)	
  * debian/rules: Correct value for $(devpkg) now that $(libpkg) has 'ldbl'
  * debian/rules: Switch from dh_movefiles to using dh_install 
  * debian/libgsl0-dev.install: Added usr/share/man/man3/gsl.3 and
    usr/share/aclocal/
  * debian/libgsl0ldbl.install: Newly created
  * debian/control: Updated 'Replaces: libgsl0' for libgsl0-dev to
    '(<= 1.9-4)'; added 'Replaces: libgsl0 (<= 1.9-4)' for libgsl0ldbl
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Jul 2007 15:12:17 -0500

gsl (1.9-4) unstable; urgency=low

  * debian/control: Rename library package to libgsl0ldbl for the 'long
    double' transition on alpha, powerpc, sparc, s390 	(Closes: #430259)
  * debian/rules: Library package variable set to 'libgsl$(sonum)ldbl'
  * debian/libgsl0.{shlibs,postinst}: Renamed to libgsl0ldbl.*
  * debian/libgsl0ldbl.shlibs: Updated to from 'libgsl0' to 'libgsl0ldbl'
  * debian/libgsl0ldbl.shlibs: Also updatesd to version 1.0 of GSL as well
  * debian/libsgl0-dev: Change doc softlink to libgsl0ldbl

  * debian/control: s/${Source-Version}/${binary:Version}/ 	(lintian)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jun 2007 10:12:15 -0500

gsl (1.9-3) unstable; urgency=low

  * debian/rules: Remove config.{sub,guess} links in clean target
  							(Closes: #424377)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 May 2007 20:19:55 -0500

gsl (1.9-2) unstable; urgency=low

  * debian/control: Added Build-Depends-Indep: on texlive-extra-utils
    in response to the tetex/texlive transition		(Closes: #420336)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Apr 2007 19:42:43 -0500

gsl (1.9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Feb 2007 22:50:25 -0600

gsl (1.8.90-1) unstable; urgency=low

  * Upgraded to first public upstream test release for 1.9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Feb 2007 20:53:21 -0600

gsl (1.8-3) unstable; urgency=low

  * configure{,.ac}: Apply patch by Petr Salinger to permit builds on
    Debian GNU/kFreeBSD, also forwarded upstream  	(Closes: #401036)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Nov 2006 21:05:27 -0600

gsl (1.8-2) unstable; urgency=low

  * debian/rules: Add -fexceptions to CFLAGS as suggested and tested by
    Jordi Gutierrez Hermoso <jordigh@gmail.com>  	(Closes: #398628)
  * debian/rules: Also increase optimisation level to -O3, but run 'make
    check' without debugging and at -O2 as gcc appears to hang otherwise
  * debian/rules: Added refblas3-dev to Build-Depends:
  * debian/control: Upgraded Standards-Version: to 3.7.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Nov 2006 17:45:42 -0600

gsl (1.8-1) unstable; urgency=low

  * New upstream version released earlier today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Apr 2006 20:45:40 -0500

gsl (1.7.90-1) unstable; urgency=low

  * Upgraded to first public upstream test release for 1.8

  * debian/watch: Updated source URL 
  * debian/copyright: Updated FSF address

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Mar 2006 17:11:02 -0600

gsl (1.7-5) unstable; urgency=low

  * debian/control: Added Build-Depends: on autotools-dev
  * debian/rules: Changed configure call as per the README.Debian in
    autotools-dev to include newer config.{sub,guess}	(Closes: #356603)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Mar 2006 20:28:38 -0600

gsl (1.7-4) unstable; urgency=low

  * debian/rules: Correct quoting for $compilerargs argument string. 
    Thanks to Falk Hueffner for the patch.              (Closes: #346003)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Jan 2006 16:32:17 -0600

gsl (1.7-3) unstable; urgency=low

  * New debugging symbols sub-package libgsl0-dbg:	(Closes: #310298)
    - debian/rules: Set DH_COMPAT=5
    - debian/rules: Add -g to compiler flags 
    - debian/rules: Change dh_strip argument to --dbg-package=libgsl0-dbg
    - debian/control: New section for libgsl0-dbg package
    - debian/control: Adjusted Build-Depends
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Dec 2005 14:03:42 -0600

gsl (1.7-2) unstable; urgency=low

  * debian/rules: Add '-mieee' to compiler flags on Alpha (Closes: #330792)
  * debian/control: Updated Build-Depends: with 'gcc (>= 4:4.0)'

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Sep 2005 21:53:36 -0500

gsl (1.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2005 20:26:35 -0500

gsl (1.6.92-1) unstable; urgency=low

  * Upgraded to second public upstream test release for 1.7

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  6 Sep 2005 18:49:59 -0500

gsl (1.6.91-1) unstable; urgency=low

  * Upgraded to first public upstream test release for 1.7

  * debian/control: Increased Standards-Version: to 3.6.2.1
  * debian/watch: Added watch file

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Aug 2005 20:44:26 -0500

gsl (1.6-2) unstable; urgency=low

  * debian/rules: Added patch by Giuseppe Bonacci to create pdf files for
    the gnuplot-generated images before pdftex is called (Closes: #303757)
  * debian/control: Added ps2eps to Build-Depends-Indep

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Apr 2005 08:15:08 -0500

gsl (1.6-1) unstable; urgency=low

  * New upstream version 1.6 released today
  * debian/rules: Filter the "make check" output through "grep -C5 -v '^PASS:'"
    as suggested by Brian Gough to reduce the build log size by a factor of 13.
  * debian/control: Added gsl-ref-html to libgsl0 Suggests (Closes: #288303)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Jan 2005 21:51:35 -0600

gsl (1.5.90-1) unstable; urgency=low

  * Upgraded to initial upstream test release for 1.6 announced today
  * debian/rules: More explicitly check for host and build arch

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Dec 2004 21:32:26 -0600

gsl (1.5-2) unstable; urgency=low

  * The "this should make someone in Arizona happy" release
  * debian/control: Build-Depends-Indep switched from tetex-bin to 
    tetex-extra in order to improve fonts in pdf docs (Closes: #258673)
  * debian/control: Add cross-references to other gsl doc. (Closes: #258674)
  * debian/control: More verbose Descriptions (Closes: #259090)
  * debian/control: Standards-Version upgraded to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jul 2004 18:20:36 -0500

gsl (1.5-1) unstable; urgency=low

  * New upstream version 1.5 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  5 Jul 2004 13:39:59 -0500

gsl (1.4.90-1) unstable; urgency=low

  * Upgraded to initial upstream test release for 1.5
  * gsl.m4: Upstream applied patch from Debian bugreport (Closes: #250628)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Jun 2004 19:42:55 -0500

gsl (1.4-8) unstable; urgency=low

  * debian/rules: Reverse change from 1.4-8 and built with tetex's epstopdf
    as this got fixed in the newer tetex package
  * debian/rules: Ensure gsl-ref.pdf gets into package (Closes: #248239)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  9 May 2004 21:12:25 -0500

gsl (1.4-7) unstable; urgency=low

  * debian/control: Add 'Replaces: libgsl0 (<= 1.4-6)' (Closes: #246052) 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 Apr 2004 06:44:59 -0500

gsl (1.4-6) unstable; urgency=low

  * debian/libgsl0-dev.files: Add usr/lib/pkgconfig/gsl.pc (Closes: #245555)
  * debian/rules: Remove .la files left after build (Closes: #245556)
  * debian/rules: As tetex currently ships a broken epstopdf, temporarily 
    install copy from the tetex in testing into debian/ and call that.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Apr 2004 16:16:23 -0500

gsl (1.4-5) unstable; urgency=low

  * debian/copyright: Set upstream address to http://sources.redhat.com/gsl
  * debian/{rules,control}: Changed in line with patch kindly supplied by
    Bas Zoetekouw to also create the documentation in pdf format and build
    a new binary package gsl-doc-pdf  (Closes: #242405)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Apr 2004 21:18:38 -0500

gsl (1.4-4) unstable; urgency=low

  * const/gsl_const.h: Correct two #include statements (Closes: #229126)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2004 15:19:23 -0600

gsl (1.4-3) unstable; urgency=low

  * debian/rules: Versions 1.5 to 1.7.7 of automake do not agree with the
    current version of our install-info; /usr/share/info/dir{,.old}.gz 
    are left behind as a result iff /sbin:/usr/sbin are in the PATH as is
    the case in Debian's autobuilders -- we now remove them at the end of
    'make install'. Thanks to Santiago for the report.  (Closes: #215358) 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Oct 2003 06:36:16 -0500

gsl (1.4-2) unstable; urgency=low

  * debian/libgsl0.shlibs: Added (>= 1.4) as CDFs were added (Closes: #211762)
  * debian/control: Standards-Version increased to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Sep 2003 21:26:51 -0500

gsl (1.4-1) unstable; urgency=low

  * New upstream version 1.4 released today
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Aug 2003 18:21:18 -0500

gsl (1.3.20030813-1) unstable; urgency=low

  * Upgraded to second release candidate 1.3.20030813 of the 1.4.0 release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Aug 2003 21:51:19 -0500

gsl (1.3.20030805-1) unstable; urgency=low

  * Upgraded to first release candidate 1.3.20030805 of the 1.4.0 release
  * debian/control: Section changed to libdevel for libgsl0-dev
  * debian/control: Standards-Version upgraded to 3.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Aug 2003 19:50:13 -0500

gsl (1.3-1) unstable; urgency=low

  * New upstream version 1.3 released earlier today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Jan 2003 20:53:30 -0600

gsl (1.2.91-1) unstable; urgency=low

  * Upgraded to new upstream release candidate 1.2.91

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Dec 2002 19:25:41 -0600

gsl (1.2.90-1) unstable; urgency=low

  * Upgraded to new upstream release candidate 1.2.90

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Dec 2002 21:24:16 -0600

gsl (1.2-1) unstable; urgency=low

  * Upgraded to new upstream release 1.2

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Jul 2002 18:45:40 -0500

gsl (1.1.1-1) unstable; urgency=low

  * Upgraded to new upstream release 1.1.1
  * debian/control: No longer Build-Depends on autoconf, automake
  * debian/rules: Reduce CFLAGS to -O on m68k so that build completes
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Mar 2002 19:59:39 -0600

gsl (1.1-1) unstable; urgency=low

  * Upgraded to new upstream release 1.1
  * debian/rules: switched to debhelper mode DH_COMPAT=3

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  7 Mar 2002 22:46:30 -0600

gsl (1.0-1) unstable; urgency=low

  * Upgraded to first general release 1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  2 Nov 2001 22:26:14 -0600

gsl (0.9.4-1) unstable; urgency=low

  * Upgraded to new upstream release 0.9.4

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Oct 2001 21:46:55 -0500

gsl (0.9.3-1) unstable; urgency=low

  * Upgraded to new upstream release 0.9.3
  * debian/*.links: Link libgsl0-dev, gsl-bin to /usr/share/doc/libgsl0
  * debian/*.preinst: Delete old doc dir for libgsl0-dev, gsl-bin

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Sep 2001 21:22:36 -0500

gsl (0.9.2-1) unstable; urgency=low

  * Upgraded to new upstream release 0.9.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Aug 2001 21:59:29 -0500

gsl (0.9.1-1) unstable; urgency=low

  * Upgraded to new upstream release 0.9.1
  * debian/gsl-histogram.1: Contributed new manual page
  * debian/gsl-randist.1: Contributed new manual page

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2001 13:27:24 -0500

gsl (0.9-1) unstable; urgency=low

  * Upgraded to new upstream release 0.9
  * debian/control: Removed section about "alpha status" of the library
    from Description(s) as 0.9 constitutes the first beta release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Jul 2001 22:03:53 -0500

gsl (0.8-2) unstable; urgency=low

  * debian/libgsl0-dev.postinst: Fixed install-info snafu (Closes: #98848)
  * debian/rules: No longer call dh_undocumented for gsl-config
  * debian/rules: No longer call autogen.sh
  * debian/rules: Added 'make check' target
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 May 2001 10:39:44 -0500

gsl (0.8-1) unstable; urgency=low

  * Upgraded to new upstream release 0.8
  * debian/control: Updated Standards-Version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 May 2001 19:36:34 -0500

gsl (0.7-1) unstable; urgency=low

  * Upgraded to new upstream release 0.7

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2000 21:50:51 -0600

gsl (0.6-3) unstable; urgency=low

  * debian/rules: Do not strip the -dev package -- for this particular
    library, stripping removes the ability to link as some .o files share
    the same name. Special thanks to Pablo Bianucci <pbian@pccp.com.ar>
    for persistent debugging.

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Jul 2000 19:25:44 -0400

gsl (0.6-2) unstable; urgency=low

  * debian/rules: No longer delete gsl-config 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Jun 2000 18:31:33 -0400

gsl (0.6-1) unstable; urgency=low

  * Upgraded to new upstream release 0.6

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  6 Jun 2000 22:23:34 -0400

gsl (0.5+-1) unstable; urgency=low

  * Upgraded to CVS snapshot as of April 4, 2000 
  * With the exception of the blas code, everything is now provided 
    in a single (shared or static) library
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Apr 2000 20:52:01 -0400

gsl (0.5-2) frozen; urgency=low

  * Carefully applied changes from six files in the CVS to address the
    m68k IEEE floating point bug (Closes: #52789)
  * debian/copyright: Added missing "lib" to "rary" (Closes: #61384)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Apr 2000 00:33:12 -0400

gsl (0.5-1) unstable; urgency=low

  * Upgraded to new upstream release 0.5
  * debian/control: Added Build-Depends: information

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 Dec 1999 15:23:25 -0500

gsl (0.4.1+-2) unstable; urgency=low

  * debian/rules: Make debian/libtoolswitch.pl executable (Closes: #51599)
  * debian/rules: Prepend ./ to autogen.sh call (Closes: #51629)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Nov 1999 19:17:20 -0500

gsl (0.4.1+-1) unstable; urgency=low

  * New maintainer
  * Rewrote all debian/* files
  
  * Upgraded to release 0.4.1+ (Closes: #31306, #31894)
  * This version uses code directly from the Cygnus CVS archive as the 
    last tarball release (0.4.1) does not build with shared libraries.  

  * gsl-histogram.c: Wrote simple patch (for 0.4.1) to fix the double
    count of the last element and submitted it upstream, but it appears
    that it was already fixed in the CVS sources (Closes: #42116)

  * Patch for glibc-2.1 no longer needed (Closes: #32017)

  * Original sources now used as as .orig.tar.gz (Closes: #44249)

  * Also packaged a separate gsl-ref-pdf package using the pdf file from
    the Cygnus ftp site. This is required as the pdf file contains .eps
    graphs and TeX equation that cannot be processed here (Closes: #31307)

  * Upgraded to Policy 3.1.0

  * Packages renamed libgsl0 and libgsl0-dev 
  * debian/control: Conflicts, Replaces with gsl, gsl-dev
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Nov 1999 23:11:00 -0500

gsl (0.3f-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * err/stream.c: don't try to initalize a variable with stderr. [#32070]

 -- James Troup <james@nocrew.org>  Tue,  1 Jun 1999 17:04:12 -0400

gsl (0.3f-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove *.P files (make dependencies) in debian/rules, because make
    distclean (errorneously) doesn't do this, and the dependencies partially
    contain arch-specfic paths. Fixes: #32070

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 10 Mar 1999 15:47:53 +0100

gsl (0.3f-1.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Set Architecture: to any.
  * Fix some errors in debian/rules that made building impossible.
  * Removed spurious file debian/tmp.deb.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 13 Jan 1999 13:47:57 +0100

gsl (0.3f-1) unstable; urgency=low

  * Initial Release.  
  * Don't include libgsl.so.0 because it doesn't build correctly
  * Remove the test-switch program

 -- Michael J. Booth <booth@debian.org>  Sun,  2 Aug 1998 22:56:51 -0400


